BLSKeyPairGeneratorTest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.hash2curve.test

## Class BLSKeyPairGeneratorTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.crypto.hash2curve.test.BLSKeyPairGeneratorTest

- All Implemented Interfaces:
    junit.framework.Test

      public class BLSKeyPairGeneratorTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BLSKeyPairGeneratorTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testDeterministicForFixedIkm()`
    `void` | `testDifferentIkmGiveDifferentKeys()`
    `void` | `testEncodedPubkeyIs48Bytes()`
    `void` | `testGenerateBeforeInitThrows()`
    `void` | `testGeneratedPubkeyPassesG1SubgroupCheck()`
    `void` | `testGeneratesValidKeyPair()`
    `void` | `testInitRejectsWrongParamType()`
    `void` | `testPrivateKeyParametersAcceptsBoundaryValues()`
    `void` | `testPrivateKeyParametersRejectsAboveOrder()`
    `void` | `testPrivateKeyParametersRejectsAtOrder()`
    `void` | `testPrivateKeyParametersRejectsNegative()`
    `void` | `testPrivateKeyParametersRejectsNull()`
    `void` | `testPrivateKeyParametersRejectsZero()`
    `void` | `testPublicKeyParametersAcceptsValidPoint()`
    `void` | `testPublicKeyParametersRejectsIdentity()`
    `void` | `testPublicKeyParametersRejectsNull()`
    `void` | `testPublicKeyParametersRejectsOffSubgroup()`
    `void` | `testSignVerifyWithGeneratedKey()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BLSKeyPairGeneratorTest

          public BLSKeyPairGeneratorTest()

  - ### Method Detail

    - #### testGeneratesValidKeyPair

          public void testGeneratesValidKeyPair()

    - #### testSignVerifyWithGeneratedKey

          public void testSignVerifyWithGeneratedKey()

    - #### testDeterministicForFixedIkm

          public void testDeterministicForFixedIkm()

    - #### testDifferentIkmGiveDifferentKeys

          public void testDifferentIkmGiveDifferentKeys()

    - #### testGeneratedPubkeyPassesG1SubgroupCheck

          public void testGeneratedPubkeyPassesG1SubgroupCheck()

    - #### testEncodedPubkeyIs48Bytes

          public void testEncodedPubkeyIs48Bytes()

    - #### testPublicKeyParametersRejectsNull

          public void testPublicKeyParametersRejectsNull()

    - #### testPublicKeyParametersRejectsIdentity

          public void testPublicKeyParametersRejectsIdentity()

    - #### testPublicKeyParametersRejectsOffSubgroup

          public void testPublicKeyParametersRejectsOffSubgroup()

    - #### testPublicKeyParametersAcceptsValidPoint

          public void testPublicKeyParametersAcceptsValidPoint()

    - #### testPrivateKeyParametersRejectsNull

          public void testPrivateKeyParametersRejectsNull()

    - #### testPrivateKeyParametersRejectsZero

          public void testPrivateKeyParametersRejectsZero()

    - #### testPrivateKeyParametersRejectsNegative

          public void testPrivateKeyParametersRejectsNegative()

    - #### testPrivateKeyParametersRejectsAtOrder

          public void testPrivateKeyParametersRejectsAtOrder()

    - #### testPrivateKeyParametersRejectsAboveOrder

          public void testPrivateKeyParametersRejectsAboveOrder()

    - #### testPrivateKeyParametersAcceptsBoundaryValues

          public void testPrivateKeyParametersAcceptsBoundaryValues()

    - #### testGenerateBeforeInitThrows

          public void testGenerateBeforeInitThrows()

    - #### testInitRejectsWrongParamType

          public void testInitRejectsWrongParamType()